"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initSdk = initSdk;
exports.loginUser = loginUser;
exports.logoutUser = logoutUser;
exports.showMessaging = showMessaging;
exports.subscribe = subscribe;
exports.unsubscribe = unsubscribe;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-messaging-zendesk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const MessagingZendesk = _reactNative.NativeModules.MessagingZendesk ? _reactNative.NativeModules.MessagingZendesk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const eventEmitter = new _reactNative.NativeEventEmitter(MessagingZendesk);
function subscribe(eventName, onEvent) {
  try {
    MessagingZendesk.subscribe(eventName);
    eventEmitter.addListener(eventName, event => {
      onEvent(event);
    });
  } catch (e) {}
}
function unsubscribe(eventName) {
  try {
    MessagingZendesk.unsubscribe(eventName);
    eventEmitter.removeAllListeners(eventName);
  } catch (e) {}
}
function initSdk(channels) {
  return MessagingZendesk.initSdk(_reactNative.Platform.select(channels));
}
function showMessaging() {
  return MessagingZendesk.showMessaging();
}
function loginUser(jwt) {
  return MessagingZendesk.loginUser(jwt);
}
function logoutUser() {
  return MessagingZendesk.logoutUser();
}
//# sourceMappingURL=index.js.map