import { NativeEventEmitter, NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-messaging-zendesk' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const MessagingZendesk = NativeModules.MessagingZendesk ? NativeModules.MessagingZendesk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const eventEmitter = new NativeEventEmitter(MessagingZendesk);
export function subscribe(eventName, onEvent) {
  try {
    MessagingZendesk.subscribe(eventName);
    eventEmitter.addListener(eventName, event => {
      onEvent(event);
    });
  } catch (e) {}
}
export function unsubscribe(eventName) {
  try {
    MessagingZendesk.unsubscribe(eventName);
    eventEmitter.removeAllListeners(eventName);
  } catch (e) {}
}
export function initSdk(channels) {
  return MessagingZendesk.initSdk(Platform.select(channels));
}
export function showMessaging() {
  return MessagingZendesk.showMessaging();
}
export function loginUser(jwt) {
  return MessagingZendesk.loginUser(jwt);
}
export function logoutUser() {
  return MessagingZendesk.logoutUser();
}
//# sourceMappingURL=index.js.map